# Sapient Documentation

To get started using Sapient, see [the tutorial](Tutorial.md).

To learn more about building a Sapient-compatible library in another language, read
the [Sapient specification](Specification.md).

To learn more about each class, read through the [Internals](Internals) documentation:

* [Cryptography Keys](Internals/CryptographyKey.md)
* [Sapient](Internals/Sapient.md), the Sapient class definition
* [Simple](Internals/Simple.md), our simple encryption interface
* [Adapter](Internals/Adapter)
  * [Generic](Internals/Adapter/Generic)
    * [The Generic Adapter](Internals/Adapter/Generic/Adapter.md)
    * [The Generic Stream object](Internals/Adapter/Generic/Stream.md)
  * [AdapterInterface](Internals/Adapter/AdapterInterface.md)
  * [ConvenienceInterface](Internals/Adapter/ConvenienceInterface.md)
* [Traits](Internals/Traits)
  * [JSON Sugar Trait](Internals/Traits/JsonSugar.md)
  * [String Sugar Trait](Internals/Traits/StringSugar.md)